- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QLinearGradient Class Reference

Search for all occurrences

## Detailed Description

Definition at line 273 of file qbrush.h.

`#include <qbrush.h>`

Inheritance diagram for QLinearGradient:
[legend]

List of all members.

## Public Member Functions
| QLinearGradient ()
| QLinearGradient (const QPointF &start, const QPointF &finalStop)
| QLinearGradient (qreal xStart, qreal yStart, qreal xFinalStop, qreal yFinalStop)
QPointF | start () const
void | setStart (const QPointF &start)
void | setStart (qreal x, qreal y)
QPointF | finalStop () const
void | setFinalStop (const QPointF &stop)
void | setFinalStop (qreal x, qreal y)

## Constructor & Destructor Documentation

QLinearGradient | ( |  | ) |

QLinearGradient | ( | const QPointF & | start,
|  | const QPointF & | finalStop
| ) |  |

QLinearGradient | ( | qreal | xStart,
|  | qreal | yStart,
|  | qreal | xFinalStop,
|  | qreal | yFinalStop
| ) |  |

## Member Function Documentation

QPointF start | ( |  | ) | const

Search for all occurrences

void setStart | ( | const QPointF & | start | ) |

Search for all occurrences

void setStart | ( | qreal | x,
|  | qreal | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 282 of file qbrush.h.

    { setStart(QPointF(x, y)); }

QPointF finalStop | ( |  | ) | const

Search for all occurrences

void setFinalStop | ( | const QPointF & | stop | ) |

Search for all occurrences

void setFinalStop | ( | qreal | x,
|  | qreal | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 286 of file qbrush.h.

    { setFinalStop(QPointF(x, y)); }

The documentation for this class was generated from the following file:

- QtGui/qbrush.h

QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient
QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient QLinearGradient